Bug 1070984 - libzypp fails to build with new boost package
libzypp fails to build with new boost package
Status: RESOLVED DUPLICATE of bug 1062782
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: libzypp
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-04 09:25 UTC by Dominique Leuenberger
Modified: 2017-12-04 10:20 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2017-12-04 09:25:17 UTC
The boost package is undergoing a change in the packaging, which results in libzypp no longer building.

This is currently setup in Staging:C https://build.opensuse.org/project/staging_projects/openSUSE:Factory/C

The build log from libzypp shows:

[   34s]   Boost version: 1.65.1
[   34s] 
[   34s]   Boost include path: /usr/include
[   34s] 
[   34s]   Could not find the following Boost libraries:
[   34s] 
[   34s]           boost_program_options
[   34s]           boost_unit_test_framework
[   34s] 
[   34s]   No Boost libraries were found.  You may need to set BOOST_LIBRARYDIR to the
[   34s]   directory containing Boost libraries or BOOST_ROOT to the location of
[   34s]   Boost.
[   34s] Call Stack (most recent call first):
[   34s]   CMakeLists.txt:122 (FIND_PACKAGE)


This is likely due to bug 1062782 not being addressed yet (?)
Comment 1 Michael Andres 2017-12-04 09:33:09 UTC
yes. fixing it...
Comment 2 Dominique Leuenberger 2017-12-04 09:37:42 UTC
(In reply to Michael Andres from comment #1)
> yes. fixing it...

Thanks
Comment 3 Michael Andres 2017-12-04 10:20:55 UTC
request id 548037

*** This bug has been marked as a duplicate of bug 1062782 ***